QXmpp Version:0.3.91

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
QXmppCodec Class Reference

The QXmppCodec class is the base class for audio codecs capable of encoding and decoding audio samples. More...

`#include <QXmppCodec.h>`

Inherited by QXmppG711aCodec, and QXmppG711uCodec.

List of all members.

## Public Member Functions
virtual qint64 | encode (QDataStream &input, QDataStream &output)=0
virtual qint64 | decode (QDataStream &input, QDataStream &output)=0

## Detailed Description

The QXmppCodec class is the base class for audio codecs capable of encoding and decoding audio samples.

Samples must be 16-bit little endian.

## Member Function Documentation

virtual qint64 QXmppCodec::decode | ( | QDataStream & | input,
|  | QDataStream & | output
| ) |  | `[pure virtual]`

Reads encoded data from the input stream, decodes it and writes the decoded samples to the output stream.

virtual qint64 QXmppCodec::encode | ( | QDataStream & | input,
|  | QDataStream & | output
| ) |  | `[pure virtual]`

Reads samples from the input stream, encodes them and writes the encoded data to the output stream.

The documentation for this class was generated from the following file:

- QXmppCodec.h

All Classes Functions Enumerations Enumerator Properties